Bug 6541 - (int-142363) Polish Subject line violates RFC ("Odp." prefix)
(int-142363)
: Polish Subject line violates RFC ("Odp." prefix)
Status: VERIFIED FIXED
Product: Email
General
: 5.0/(3.2010.02-8)
: N900 Maemo
: Low normal with 1 vote (vote)
: 5.0/(10.2010.19-1)
Assigned To: unassigned
: modest-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2009-12-03 15:54 UTC by Bartosz Taudul
Modified: 2010-05-25 21:16 UTC (History)
4 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Bartosz Taudul (reporter) 2009-12-03 15:54:49 UTC
SOFTWARE VERSION:
1.2009.42-11

EXACT STEPS LEADING TO PROBLEM: 
1. Set locale to Polish (other are possibly also broken).
2. Reply to some e-mail message.
3. Observe the subject line.

EXPECTED OUTCOME:
Standard "Re:" prefix is added to the subject if it doesn't already exists.

ACTUAL OUTCOME:
Translated "Odp.:" prefix is added.

REPRODUCIBILITY:
always

OTHER COMMENTS:
Some idiot (really, you have to be one to redo the sins of Outlook Express from
10 years ago) decided it would be wise to translate the standard prefix used in
e-mail communication.
1. It assumes that no communication with foreigners takes place, as I wouldn't
expect anyone outside of Poland to undestand what "Odp." means. ("Odpierdol
się"?)
2. It violates section 3.6.5 of RFC 2822, which states that the correct prefix
is "Re:".
3. It wrongly assumes that "Re:" is short for "Reply:" ("Odp." is short for
"Odpowiedź"), while it's not "Reply", but "Res", as stated in RFC.
4. Since it violates the RFC, mail agents no longer can keep the subject line
short, which leads to monstrosities such as "Re: Odp: RV: RES: Aw: Re: Odp:
Something important". Real world examples:
* http://www.mail-archive.com/baroque-lute@cs.dartmouth.edu/msg01418.html
*
http://groups.google.pl/group/zimo2010/msg/4c0dd586e662d5be?hl=pl&dmode=source
*
http://groups.google.pl/group/pl.rec.fantastyka.starwars/msg/0dac8c163829f745?hl=pl&dmode=source
*
http://groups.google.pl/group/pl.listserv.gielda/msg/c11ef44faa93cb99?hl=pl&dmode=source
Comment 1 Vitaly Repin 2009-12-03 18:28:46 UTC
Completely agree.  Spend several weeks to prove this to our UI guys in fact.

Fixed already.  Wait for update.  Can not tell the exact time you will get it
but developers were managed to fix it internally.
Comment 2 Andre Klapper maemo.org 2009-12-04 01:28:51 UTC
(In reply to comment #0)
> Some idiot (really, you have to be one

Though being passionate about better software, please keep a civil tone.
Insulting people is not helpful to convince them of potential mistakes.
Thanks.
Comment 3 Marcin Juszkiewicz 2009-12-07 18:07:10 UTC
(In reply to comment #0)
> 1. It assumes that no communication with foreigners takes place, as I wouldn't
> expect anyone outside of Poland to undestand what "Odp." means. ("Odpierdol
> się"?)

I also suggest using normal language instead of cursing - "Odp." is short of
"Odpowiedź" (and you know it) not from "Odpierdol się" (which mean "bug off"
etc in English).
Comment 4 Bartosz Taudul (reporter) 2009-12-07 19:50:33 UTC
(In reply to comment #3)
> > 1. It assumes that no communication with foreigners takes place, as I wouldn't
> > expect anyone outside of Poland to undestand what "Odp." means. ("Odpierdol
> > się"?)
> 
> I also suggest using normal language instead of cursing
So now it's my fault that Modest uses such kind of language?

> - "Odp." is short of "Odpowiedź" (and you know it)
Thanks for pointing out something that I wrote in the first place already.

> not from "Odpierdol się" (which mean "bug off" etc in English).
The whole point is what if someone doesn't know what it means. And the vulgar
expansion of "odp." is the first thing that comes to my mind when I see it, so
I could say I'm offended by it.
Comment 5 Andre Klapper maemo.org 2009-12-07 20:07:05 UTC
So we can agree that Modest uses an abbreviation that can have several meanings
in Polish, some of them vulgar.

Great. No need for beef. ;-)


(In reply to comment #1)
> Fixed already.

Vitaly, do you have an internal number (xxxxxx) to track this?
Could not find one.
Comment 6 Vitaly Repin 2009-12-07 21:46:21 UTC
(In reply to comment #5)
> Vitaly, do you have an internal number (xxxxxx) to track this?
> Could not find one.

142363  Could you push it to be integrated asap?
Comment 7 Vitaly Repin 2009-12-07 21:50:38 UTC
Just a possible workaround until you have not got a version with fix:

Change the file /usr/share/locale/pl_PL/LC_MESSAGES/modest.mo


Find "Odp." and replace it with "Re:"
Comment 8 Andre Klapper maemo.org 2009-12-07 21:53:24 UTC
Thanks.
Comment 9 Sergio Villar Senin 2009-12-09 12:21:24 UTC
Fix commmited

modest-3-2 22881be247b8a3e199c3d6275423d0c74a6a0981
master     d716ac246ed86595fac12750413503ca5ed9c070

Now we always use the unlocalized Re:, Fw:

Localized versions are kept if the original message has them. For example:

Subject      -> Re: Subject
Re: Subject  -> Re: Subject
Odp. Subject -> Odp. Subject
Comment 10 Andre Klapper maemo.org 2010-01-14 13:40:33 UTC
(Fix not included in today's 2.2009.51-1 update => updating Version field)
Comment 11 Marcin Juszkiewicz 2010-01-17 23:44:29 UTC
(In reply to comment #9)
> Fix commmited
> 
> modest-3-2 22881be247b8a3e199c3d6275423d0c74a6a0981
> master     d716ac246ed86595fac12750413503ca5ed9c070

Thx, but when it will be available for public? Or which packages needs to be
rebuilt to newer versions to get working modest 3.2.10 (from modest-3.2 brach)
or 3.90.3 (from master branch)? I am able to do such builds but need to know
which components in which versions I would need to get working stable version.

Today I replied on English speaking ML and got reply like "what this 'Odp:'
means?"... It should not take place ;(
Comment 12 Sergio Villar Senin 2010-01-18 11:37:38 UTC
(In reply to comment #11)
> (In reply to comment #9)
> > Fix commmited
> > 
> > modest-3-2 22881be247b8a3e199c3d6275423d0c74a6a0981
> > master     d716ac246ed86595fac12750413503ca5ed9c070
> 
> Thx, but when it will be available for public? Or which packages needs to be
> rebuilt to newer versions to get working modest 3.2.10 (from modest-3.2 brach)
> or 3.90.3 (from master branch)? I am able to do such builds but need to know
> which components in which versions I would need to get working stable version.
> 
> Today I replied on English speaking ML and got reply like "what this 'Odp:'
> means?"... It should not take place ;(

The code used for public releases is the code under modest-3-2 branch.
Comment 13 Vitaly Repin 2010-01-18 18:32:11 UTC
(In reply to comment #11)

Check comment #7 for workaround.
Comment 14 Marcin Juszkiewicz 2010-01-18 18:55:01 UTC
Please read
http://marcin.juszkiewicz.com.pl/2010/01/18/system-updates-repository-online/
for informations how to install fixed Modest.

Thanks goes to Modest developers for fixing bug. Complains goes to their
managers for creating crappy way of doing Maemo updates.
Comment 15 Andre Klapper maemo.org 2010-02-02 13:28:11 UTC
This has been fixed in
modest 3.2.11-2+0m5
which is part of the internal build version
2010.05-4
Comment 16 Andre Klapper maemo.org 2010-03-15 20:56:19 UTC
Setting explicit PR1.2 milestone (so it's clearer in which public release the
fix will be available to users).

Sorry for the bugmail noise (you can filter on this message).